import {Component, Input} from '@angular/core';
import {IHistogram, ILayer} from '../../../models/color.map';

@Component({
    selector: 'fm-map-histogram-details',
    templateUrl: './histogram-details.component.html',
    styles: ['.nopadding{\n' +
            '  padding: 0 !important;\n' +
            '  margin: 0 !important;\n' +
            '}'],
    standalone: false
})
export class HistogramDetailsComponent {

  @Input()
  histogram: IHistogram;

  @Input()
  scale: number | null;

  public getScaledValue(value: number): number {
    let v = value;
    if (this.scale && this.scale != 0) {
      v = this.scale * value;
    }
    return v;
  }

  showConfidenceInterval(): boolean {
    return this.histogram.confidence != null && this.histogram.confidence !== 1;
  }
}
